"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const requestPromise = require("request-promise");
const converse_request_1 = require("./converse.request");
class ConverseApi {
    buildRequest() {
        return new converse_request_1.ConverseRequest();
    }
    get(req) {
        return new Promise((resolve, reject) => {
            requestPromise('http://localhost:3000/response', {
                method: 'GET',
                json: true,
                body: req
            })
                .then((response) => {
                resolve(response);
            })
                .catch((error) => {
                reject(error);
            });
        });
    }
}
exports.ConverseApi = ConverseApi;
